Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc54::/16
First address
fc54::
Last address
fc54:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc54:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
4.5.c.f.ip6.arpa
Split into smaller subnets/32

fc54::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
1fc54::/32fc54:0:ffff:ffff:ffff:ffff:ffff:ffff
2fc54:1::/32fc54:1:ffff:ffff:ffff:ffff:ffff:ffff
3fc54:2::/32fc54:2:ffff:ffff:ffff:ffff:ffff:ffff
4fc54:3::/32fc54:3:ffff:ffff:ffff:ffff:ffff:ffff
5fc54:4::/32fc54:4:ffff:ffff:ffff:ffff:ffff:ffff
6fc54:5::/32fc54:5:ffff:ffff:ffff:ffff:ffff:ffff
7fc54:6::/32fc54:6:ffff:ffff:ffff:ffff:ffff:ffff
8fc54:7::/32fc54:7:ffff:ffff:ffff:ffff:ffff:ffff
9fc54:8::/32fc54:8:ffff:ffff:ffff:ffff:ffff:ffff
10fc54:9::/32fc54:9:ffff:ffff:ffff:ffff:ffff:ffff
11fc54:a::/32fc54:a:ffff:ffff:ffff:ffff:ffff:ffff
12fc54:b::/32fc54:b:ffff:ffff:ffff:ffff:ffff:ffff
13fc54:c::/32fc54:c:ffff:ffff:ffff:ffff:ffff:ffff
14fc54:d::/32fc54:d:ffff:ffff:ffff:ffff:ffff:ffff
15fc54:e::/32fc54:e:ffff:ffff:ffff:ffff:ffff:ffff
16fc54:f::/32fc54:f:ffff:ffff:ffff:ffff:ffff:ffff
17fc54:10::/32fc54:10:ffff:ffff:ffff:ffff:ffff:ffff
18fc54:11::/32fc54:11:ffff:ffff:ffff:ffff:ffff:ffff
19fc54:12::/32fc54:12:ffff:ffff:ffff:ffff:ffff:ffff
20fc54:13::/32fc54:13:ffff:ffff:ffff:ffff:ffff:ffff
21fc54:14::/32fc54:14:ffff:ffff:ffff:ffff:ffff:ffff
22fc54:15::/32fc54:15:ffff:ffff:ffff:ffff:ffff:ffff
23fc54:16::/32fc54:16:ffff:ffff:ffff:ffff:ffff:ffff
24fc54:17::/32fc54:17:ffff:ffff:ffff:ffff:ffff:ffff
25fc54:18::/32fc54:18:ffff:ffff:ffff:ffff:ffff:ffff
26fc54:19::/32fc54:19:ffff:ffff:ffff:ffff:ffff:ffff
27fc54:1a::/32fc54:1a:ffff:ffff:ffff:ffff:ffff:ffff
28fc54:1b::/32fc54:1b:ffff:ffff:ffff:ffff:ffff:ffff
29fc54:1c::/32fc54:1c:ffff:ffff:ffff:ffff:ffff:ffff
30fc54:1d::/32fc54:1d:ffff:ffff:ffff:ffff:ffff:ffff
31fc54:1e::/32fc54:1e:ffff:ffff:ffff:ffff:ffff:ffff
32fc54:1f::/32fc54:1f:ffff:ffff:ffff:ffff:ffff:ffff
33fc54:20::/32fc54:20:ffff:ffff:ffff:ffff:ffff:ffff
34fc54:21::/32fc54:21:ffff:ffff:ffff:ffff:ffff:ffff
35fc54:22::/32fc54:22:ffff:ffff:ffff:ffff:ffff:ffff
36fc54:23::/32fc54:23:ffff:ffff:ffff:ffff:ffff:ffff
37fc54:24::/32fc54:24:ffff:ffff:ffff:ffff:ffff:ffff
38fc54:25::/32fc54:25:ffff:ffff:ffff:ffff:ffff:ffff
39fc54:26::/32fc54:26:ffff:ffff:ffff:ffff:ffff:ffff
40fc54:27::/32fc54:27:ffff:ffff:ffff:ffff:ffff:ffff
41fc54:28::/32fc54:28:ffff:ffff:ffff:ffff:ffff:ffff
42fc54:29::/32fc54:29:ffff:ffff:ffff:ffff:ffff:ffff
43fc54:2a::/32fc54:2a:ffff:ffff:ffff:ffff:ffff:ffff
44fc54:2b::/32fc54:2b:ffff:ffff:ffff:ffff:ffff:ffff
45fc54:2c::/32fc54:2c:ffff:ffff:ffff:ffff:ffff:ffff
46fc54:2d::/32fc54:2d:ffff:ffff:ffff:ffff:ffff:ffff
47fc54:2e::/32fc54:2e:ffff:ffff:ffff:ffff:ffff:ffff
48fc54:2f::/32fc54:2f:ffff:ffff:ffff:ffff:ffff:ffff
49fc54:30::/32fc54:30:ffff:ffff:ffff:ffff:ffff:ffff
50fc54:31::/32fc54:31:ffff:ffff:ffff:ffff:ffff:ffff
51fc54:32::/32fc54:32:ffff:ffff:ffff:ffff:ffff:ffff
52fc54:33::/32fc54:33:ffff:ffff:ffff:ffff:ffff:ffff
53fc54:34::/32fc54:34:ffff:ffff:ffff:ffff:ffff:ffff
54fc54:35::/32fc54:35:ffff:ffff:ffff:ffff:ffff:ffff
55fc54:36::/32fc54:36:ffff:ffff:ffff:ffff:ffff:ffff
56fc54:37::/32fc54:37:ffff:ffff:ffff:ffff:ffff:ffff
57fc54:38::/32fc54:38:ffff:ffff:ffff:ffff:ffff:ffff
58fc54:39::/32fc54:39:ffff:ffff:ffff:ffff:ffff:ffff
59fc54:3a::/32fc54:3a:ffff:ffff:ffff:ffff:ffff:ffff
60fc54:3b::/32fc54:3b:ffff:ffff:ffff:ffff:ffff:ffff
61fc54:3c::/32fc54:3c:ffff:ffff:ffff:ffff:ffff:ffff
62fc54:3d::/32fc54:3d:ffff:ffff:ffff:ffff:ffff:ffff
63fc54:3e::/32fc54:3e:ffff:ffff:ffff:ffff:ffff:ffff
64fc54:3f::/32fc54:3f:ffff:ffff:ffff:ffff:ffff:ffff
65fc54:40::/32fc54:40:ffff:ffff:ffff:ffff:ffff:ffff
66fc54:41::/32fc54:41:ffff:ffff:ffff:ffff:ffff:ffff
67fc54:42::/32fc54:42:ffff:ffff:ffff:ffff:ffff:ffff
68fc54:43::/32fc54:43:ffff:ffff:ffff:ffff:ffff:ffff
69fc54:44::/32fc54:44:ffff:ffff:ffff:ffff:ffff:ffff
70fc54:45::/32fc54:45:ffff:ffff:ffff:ffff:ffff:ffff
71fc54:46::/32fc54:46:ffff:ffff:ffff:ffff:ffff:ffff
72fc54:47::/32fc54:47:ffff:ffff:ffff:ffff:ffff:ffff
73fc54:48::/32fc54:48:ffff:ffff:ffff:ffff:ffff:ffff
74fc54:49::/32fc54:49:ffff:ffff:ffff:ffff:ffff:ffff
75fc54:4a::/32fc54:4a:ffff:ffff:ffff:ffff:ffff:ffff
76fc54:4b::/32fc54:4b:ffff:ffff:ffff:ffff:ffff:ffff
77fc54:4c::/32fc54:4c:ffff:ffff:ffff:ffff:ffff:ffff
78fc54:4d::/32fc54:4d:ffff:ffff:ffff:ffff:ffff:ffff
79fc54:4e::/32fc54:4e:ffff:ffff:ffff:ffff:ffff:ffff
80fc54:4f::/32fc54:4f:ffff:ffff:ffff:ffff:ffff:ffff
81fc54:50::/32fc54:50:ffff:ffff:ffff:ffff:ffff:ffff
82fc54:51::/32fc54:51:ffff:ffff:ffff:ffff:ffff:ffff
83fc54:52::/32fc54:52:ffff:ffff:ffff:ffff:ffff:ffff
84fc54:53::/32fc54:53:ffff:ffff:ffff:ffff:ffff:ffff
85fc54:54::/32fc54:54:ffff:ffff:ffff:ffff:ffff:ffff
86fc54:55::/32fc54:55:ffff:ffff:ffff:ffff:ffff:ffff
87fc54:56::/32fc54:56:ffff:ffff:ffff:ffff:ffff:ffff
88fc54:57::/32fc54:57:ffff:ffff:ffff:ffff:ffff:ffff
89fc54:58::/32fc54:58:ffff:ffff:ffff:ffff:ffff:ffff
90fc54:59::/32fc54:59:ffff:ffff:ffff:ffff:ffff:ffff
91fc54:5a::/32fc54:5a:ffff:ffff:ffff:ffff:ffff:ffff
92fc54:5b::/32fc54:5b:ffff:ffff:ffff:ffff:ffff:ffff
93fc54:5c::/32fc54:5c:ffff:ffff:ffff:ffff:ffff:ffff
94fc54:5d::/32fc54:5d:ffff:ffff:ffff:ffff:ffff:ffff
95fc54:5e::/32fc54:5e:ffff:ffff:ffff:ffff:ffff:ffff
96fc54:5f::/32fc54:5f:ffff:ffff:ffff:ffff:ffff:ffff
97fc54:60::/32fc54:60:ffff:ffff:ffff:ffff:ffff:ffff
98fc54:61::/32fc54:61:ffff:ffff:ffff:ffff:ffff:ffff
99fc54:62::/32fc54:62:ffff:ffff:ffff:ffff:ffff:ffff
100fc54:63::/32fc54:63:ffff:ffff:ffff:ffff:ffff:ffff
101fc54:64::/32fc54:64:ffff:ffff:ffff:ffff:ffff:ffff
102fc54:65::/32fc54:65:ffff:ffff:ffff:ffff:ffff:ffff
103fc54:66::/32fc54:66:ffff:ffff:ffff:ffff:ffff:ffff
104fc54:67::/32fc54:67:ffff:ffff:ffff:ffff:ffff:ffff
105fc54:68::/32fc54:68:ffff:ffff:ffff:ffff:ffff:ffff
106fc54:69::/32fc54:69:ffff:ffff:ffff:ffff:ffff:ffff
107fc54:6a::/32fc54:6a:ffff:ffff:ffff:ffff:ffff:ffff
108fc54:6b::/32fc54:6b:ffff:ffff:ffff:ffff:ffff:ffff
109fc54:6c::/32fc54:6c:ffff:ffff:ffff:ffff:ffff:ffff
110fc54:6d::/32fc54:6d:ffff:ffff:ffff:ffff:ffff:ffff
111fc54:6e::/32fc54:6e:ffff:ffff:ffff:ffff:ffff:ffff
112fc54:6f::/32fc54:6f:ffff:ffff:ffff:ffff:ffff:ffff
113fc54:70::/32fc54:70:ffff:ffff:ffff:ffff:ffff:ffff
114fc54:71::/32fc54:71:ffff:ffff:ffff:ffff:ffff:ffff
115fc54:72::/32fc54:72:ffff:ffff:ffff:ffff:ffff:ffff
116fc54:73::/32fc54:73:ffff:ffff:ffff:ffff:ffff:ffff
117fc54:74::/32fc54:74:ffff:ffff:ffff:ffff:ffff:ffff
118fc54:75::/32fc54:75:ffff:ffff:ffff:ffff:ffff:ffff
119fc54:76::/32fc54:76:ffff:ffff:ffff:ffff:ffff:ffff
120fc54:77::/32fc54:77:ffff:ffff:ffff:ffff:ffff:ffff
121fc54:78::/32fc54:78:ffff:ffff:ffff:ffff:ffff:ffff
122fc54:79::/32fc54:79:ffff:ffff:ffff:ffff:ffff:ffff
123fc54:7a::/32fc54:7a:ffff:ffff:ffff:ffff:ffff:ffff
124fc54:7b::/32fc54:7b:ffff:ffff:ffff:ffff:ffff:ffff
125fc54:7c::/32fc54:7c:ffff:ffff:ffff:ffff:ffff:ffff
126fc54:7d::/32fc54:7d:ffff:ffff:ffff:ffff:ffff:ffff
127fc54:7e::/32fc54:7e:ffff:ffff:ffff:ffff:ffff:ffff
128fc54:7f::/32fc54:7f:ffff:ffff:ffff:ffff:ffff:ffff
129fc54:80::/32fc54:80:ffff:ffff:ffff:ffff:ffff:ffff
130fc54:81::/32fc54:81:ffff:ffff:ffff:ffff:ffff:ffff
131fc54:82::/32fc54:82:ffff:ffff:ffff:ffff:ffff:ffff
132fc54:83::/32fc54:83:ffff:ffff:ffff:ffff:ffff:ffff
133fc54:84::/32fc54:84:ffff:ffff:ffff:ffff:ffff:ffff
134fc54:85::/32fc54:85:ffff:ffff:ffff:ffff:ffff:ffff
135fc54:86::/32fc54:86:ffff:ffff:ffff:ffff:ffff:ffff
136fc54:87::/32fc54:87:ffff:ffff:ffff:ffff:ffff:ffff
137fc54:88::/32fc54:88:ffff:ffff:ffff:ffff:ffff:ffff
138fc54:89::/32fc54:89:ffff:ffff:ffff:ffff:ffff:ffff
139fc54:8a::/32fc54:8a:ffff:ffff:ffff:ffff:ffff:ffff
140fc54:8b::/32fc54:8b:ffff:ffff:ffff:ffff:ffff:ffff
141fc54:8c::/32fc54:8c:ffff:ffff:ffff:ffff:ffff:ffff
142fc54:8d::/32fc54:8d:ffff:ffff:ffff:ffff:ffff:ffff
143fc54:8e::/32fc54:8e:ffff:ffff:ffff:ffff:ffff:ffff
144fc54:8f::/32fc54:8f:ffff:ffff:ffff:ffff:ffff:ffff
145fc54:90::/32fc54:90:ffff:ffff:ffff:ffff:ffff:ffff
146fc54:91::/32fc54:91:ffff:ffff:ffff:ffff:ffff:ffff
147fc54:92::/32fc54:92:ffff:ffff:ffff:ffff:ffff:ffff
148fc54:93::/32fc54:93:ffff:ffff:ffff:ffff:ffff:ffff
149fc54:94::/32fc54:94:ffff:ffff:ffff:ffff:ffff:ffff
150fc54:95::/32fc54:95:ffff:ffff:ffff:ffff:ffff:ffff
151fc54:96::/32fc54:96:ffff:ffff:ffff:ffff:ffff:ffff
152fc54:97::/32fc54:97:ffff:ffff:ffff:ffff:ffff:ffff
153fc54:98::/32fc54:98:ffff:ffff:ffff:ffff:ffff:ffff
154fc54:99::/32fc54:99:ffff:ffff:ffff:ffff:ffff:ffff
155fc54:9a::/32fc54:9a:ffff:ffff:ffff:ffff:ffff:ffff
156fc54:9b::/32fc54:9b:ffff:ffff:ffff:ffff:ffff:ffff
157fc54:9c::/32fc54:9c:ffff:ffff:ffff:ffff:ffff:ffff
158fc54:9d::/32fc54:9d:ffff:ffff:ffff:ffff:ffff:ffff
159fc54:9e::/32fc54:9e:ffff:ffff:ffff:ffff:ffff:ffff
160fc54:9f::/32fc54:9f:ffff:ffff:ffff:ffff:ffff:ffff
161fc54:a0::/32fc54:a0:ffff:ffff:ffff:ffff:ffff:ffff
162fc54:a1::/32fc54:a1:ffff:ffff:ffff:ffff:ffff:ffff
163fc54:a2::/32fc54:a2:ffff:ffff:ffff:ffff:ffff:ffff
164fc54:a3::/32fc54:a3:ffff:ffff:ffff:ffff:ffff:ffff
165fc54:a4::/32fc54:a4:ffff:ffff:ffff:ffff:ffff:ffff
166fc54:a5::/32fc54:a5:ffff:ffff:ffff:ffff:ffff:ffff
167fc54:a6::/32fc54:a6:ffff:ffff:ffff:ffff:ffff:ffff
168fc54:a7::/32fc54:a7:ffff:ffff:ffff:ffff:ffff:ffff
169fc54:a8::/32fc54:a8:ffff:ffff:ffff:ffff:ffff:ffff
170fc54:a9::/32fc54:a9:ffff:ffff:ffff:ffff:ffff:ffff
171fc54:aa::/32fc54:aa:ffff:ffff:ffff:ffff:ffff:ffff
172fc54:ab::/32fc54:ab:ffff:ffff:ffff:ffff:ffff:ffff
173fc54:ac::/32fc54:ac:ffff:ffff:ffff:ffff:ffff:ffff
174fc54:ad::/32fc54:ad:ffff:ffff:ffff:ffff:ffff:ffff
175fc54:ae::/32fc54:ae:ffff:ffff:ffff:ffff:ffff:ffff
176fc54:af::/32fc54:af:ffff:ffff:ffff:ffff:ffff:ffff
177fc54:b0::/32fc54:b0:ffff:ffff:ffff:ffff:ffff:ffff
178fc54:b1::/32fc54:b1:ffff:ffff:ffff:ffff:ffff:ffff
179fc54:b2::/32fc54:b2:ffff:ffff:ffff:ffff:ffff:ffff
180fc54:b3::/32fc54:b3:ffff:ffff:ffff:ffff:ffff:ffff
181fc54:b4::/32fc54:b4:ffff:ffff:ffff:ffff:ffff:ffff
182fc54:b5::/32fc54:b5:ffff:ffff:ffff:ffff:ffff:ffff
183fc54:b6::/32fc54:b6:ffff:ffff:ffff:ffff:ffff:ffff
184fc54:b7::/32fc54:b7:ffff:ffff:ffff:ffff:ffff:ffff
185fc54:b8::/32fc54:b8:ffff:ffff:ffff:ffff:ffff:ffff
186fc54:b9::/32fc54:b9:ffff:ffff:ffff:ffff:ffff:ffff
187fc54:ba::/32fc54:ba:ffff:ffff:ffff:ffff:ffff:ffff
188fc54:bb::/32fc54:bb:ffff:ffff:ffff:ffff:ffff:ffff
189fc54:bc::/32fc54:bc:ffff:ffff:ffff:ffff:ffff:ffff
190fc54:bd::/32fc54:bd:ffff:ffff:ffff:ffff:ffff:ffff
191fc54:be::/32fc54:be:ffff:ffff:ffff:ffff:ffff:ffff
192fc54:bf::/32fc54:bf:ffff:ffff:ffff:ffff:ffff:ffff
193fc54:c0::/32fc54:c0:ffff:ffff:ffff:ffff:ffff:ffff
194fc54:c1::/32fc54:c1:ffff:ffff:ffff:ffff:ffff:ffff
195fc54:c2::/32fc54:c2:ffff:ffff:ffff:ffff:ffff:ffff
196fc54:c3::/32fc54:c3:ffff:ffff:ffff:ffff:ffff:ffff
197fc54:c4::/32fc54:c4:ffff:ffff:ffff:ffff:ffff:ffff
198fc54:c5::/32fc54:c5:ffff:ffff:ffff:ffff:ffff:ffff
199fc54:c6::/32fc54:c6:ffff:ffff:ffff:ffff:ffff:ffff
200fc54:c7::/32fc54:c7:ffff:ffff:ffff:ffff:ffff:ffff
201fc54:c8::/32fc54:c8:ffff:ffff:ffff:ffff:ffff:ffff
202fc54:c9::/32fc54:c9:ffff:ffff:ffff:ffff:ffff:ffff
203fc54:ca::/32fc54:ca:ffff:ffff:ffff:ffff:ffff:ffff
204fc54:cb::/32fc54:cb:ffff:ffff:ffff:ffff:ffff:ffff
205fc54:cc::/32fc54:cc:ffff:ffff:ffff:ffff:ffff:ffff
206fc54:cd::/32fc54:cd:ffff:ffff:ffff:ffff:ffff:ffff
207fc54:ce::/32fc54:ce:ffff:ffff:ffff:ffff:ffff:ffff
208fc54:cf::/32fc54:cf:ffff:ffff:ffff:ffff:ffff:ffff
209fc54:d0::/32fc54:d0:ffff:ffff:ffff:ffff:ffff:ffff
210fc54:d1::/32fc54:d1:ffff:ffff:ffff:ffff:ffff:ffff
211fc54:d2::/32fc54:d2:ffff:ffff:ffff:ffff:ffff:ffff
212fc54:d3::/32fc54:d3:ffff:ffff:ffff:ffff:ffff:ffff
213fc54:d4::/32fc54:d4:ffff:ffff:ffff:ffff:ffff:ffff
214fc54:d5::/32fc54:d5:ffff:ffff:ffff:ffff:ffff:ffff
215fc54:d6::/32fc54:d6:ffff:ffff:ffff:ffff:ffff:ffff
216fc54:d7::/32fc54:d7:ffff:ffff:ffff:ffff:ffff:ffff
217fc54:d8::/32fc54:d8:ffff:ffff:ffff:ffff:ffff:ffff
218fc54:d9::/32fc54:d9:ffff:ffff:ffff:ffff:ffff:ffff
219fc54:da::/32fc54:da:ffff:ffff:ffff:ffff:ffff:ffff
220fc54:db::/32fc54:db:ffff:ffff:ffff:ffff:ffff:ffff
221fc54:dc::/32fc54:dc:ffff:ffff:ffff:ffff:ffff:ffff
222fc54:dd::/32fc54:dd:ffff:ffff:ffff:ffff:ffff:ffff
223fc54:de::/32fc54:de:ffff:ffff:ffff:ffff:ffff:ffff
224fc54:df::/32fc54:df:ffff:ffff:ffff:ffff:ffff:ffff
225fc54:e0::/32fc54:e0:ffff:ffff:ffff:ffff:ffff:ffff
226fc54:e1::/32fc54:e1:ffff:ffff:ffff:ffff:ffff:ffff
227fc54:e2::/32fc54:e2:ffff:ffff:ffff:ffff:ffff:ffff
228fc54:e3::/32fc54:e3:ffff:ffff:ffff:ffff:ffff:ffff
229fc54:e4::/32fc54:e4:ffff:ffff:ffff:ffff:ffff:ffff
230fc54:e5::/32fc54:e5:ffff:ffff:ffff:ffff:ffff:ffff
231fc54:e6::/32fc54:e6:ffff:ffff:ffff:ffff:ffff:ffff
232fc54:e7::/32fc54:e7:ffff:ffff:ffff:ffff:ffff:ffff
233fc54:e8::/32fc54:e8:ffff:ffff:ffff:ffff:ffff:ffff
234fc54:e9::/32fc54:e9:ffff:ffff:ffff:ffff:ffff:ffff
235fc54:ea::/32fc54:ea:ffff:ffff:ffff:ffff:ffff:ffff
236fc54:eb::/32fc54:eb:ffff:ffff:ffff:ffff:ffff:ffff
237fc54:ec::/32fc54:ec:ffff:ffff:ffff:ffff:ffff:ffff
238fc54:ed::/32fc54:ed:ffff:ffff:ffff:ffff:ffff:ffff
239fc54:ee::/32fc54:ee:ffff:ffff:ffff:ffff:ffff:ffff
240fc54:ef::/32fc54:ef:ffff:ffff:ffff:ffff:ffff:ffff
241fc54:f0::/32fc54:f0:ffff:ffff:ffff:ffff:ffff:ffff
242fc54:f1::/32fc54:f1:ffff:ffff:ffff:ffff:ffff:ffff
243fc54:f2::/32fc54:f2:ffff:ffff:ffff:ffff:ffff:ffff
244fc54:f3::/32fc54:f3:ffff:ffff:ffff:ffff:ffff:ffff
245fc54:f4::/32fc54:f4:ffff:ffff:ffff:ffff:ffff:ffff
246fc54:f5::/32fc54:f5:ffff:ffff:ffff:ffff:ffff:ffff
247fc54:f6::/32fc54:f6:ffff:ffff:ffff:ffff:ffff:ffff
248fc54:f7::/32fc54:f7:ffff:ffff:ffff:ffff:ffff:ffff
249fc54:f8::/32fc54:f8:ffff:ffff:ffff:ffff:ffff:ffff
250fc54:f9::/32fc54:f9:ffff:ffff:ffff:ffff:ffff:ffff
251fc54:fa::/32fc54:fa:ffff:ffff:ffff:ffff:ffff:ffff
252fc54:fb::/32fc54:fb:ffff:ffff:ffff:ffff:ffff:ffff
253fc54:fc::/32fc54:fc:ffff:ffff:ffff:ffff:ffff:ffff
254fc54:fd::/32fc54:fd:ffff:ffff:ffff:ffff:ffff:ffff
255fc54:fe::/32fc54:fe:ffff:ffff:ffff:ffff:ffff:ffff
256fc54:ff::/32fc54:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses